post
https://sandcaas.undostres.com.mx/user/v1/account/create
Creates a new customer account with an initial wallet balance and optional composite balance.
Validates unique identifiers and generates OAuth tokens for authentication.
This endpoint supports both personal and business accounts. The account type is determined by the gender field value.
All operations are performed atomically.
Note: You can create an account configured to have Composite Balance.
Account type behavior
This endpoint supports personal and business accounts.
-
Personal accounts:
gendermust be1(male) or2(female)middle_nameandsecond_last_namecan be used- RFC must be 13 characters long (for individuals)
- CURP can be provided as an alternative identifier
-
Business accounts:
gendermust be3first_namejoined tolast_namemust contain the legal or commercial namemiddle_nameandsecond_last_namemust NOT be sent- RFC must be 12 characters long (for legal entities)
- CURP is not applicable for business accounts
Response Examples
Successful response (200)
{
"err": null,
"rs": {
"id": 10734,
"ecommerce_id": 2,
"email": "[email protected]",
"first_name": "Juan",
"last_name": "Perez",
"gender": 2,
"gender_string": "Male",
"mobile": 5056595854,
"mobile_country_code": "+52",
"rfc": "PEGJ831111BM9",
"ewallet_id": 10930,
"ewallet_status": 1,
"oauth_token": "eae41c1a4ab1bf5593e4f2f55870ebe4f970b7bfb29d7bce2d8f7b52d331d3e4",
"private_key": "sk_ad67984acba263607ebc88be36afc80bb0576ffdec6ae22d5ec11692f5eb58ef",
"refresh_token": "b74d97049a4a50011dc115e9e83305bc04dee7f1708fe4f54d552232943eacb9"
}
}